﻿import { Lookup, Records, WorkflowHistory } from ".";

export class RecordField {
    index: number = 0;
    id: number = 0;
    data: any;
    extraData: any;
    displayName: string = '';
    type: number = 0;
    allowNull: boolean = true;
    isUnique: boolean = false;
    showInListView: boolean = false;
    lookups: Lookup[] = new Array<Lookup>();
    records: Records = new Records();
    workflowHistory: WorkflowHistory[] = new Array<WorkflowHistory>();
    stepNumber: number = 0;
    hidden: boolean = false;
    disabled: boolean = false;
    multipleSelection: boolean = false;
    onChanged: (field: RecordField) => void
}